# Connecting
# Note: Either an IPv4 OR IPv6 address can be used here, not both.  Default: bind to all IPs.
#address		= 
max connections		= 10
timeout			= 30
motd file		= /etc/rsyncd.banner

# Daemon security
uid			= mirror
gid			= mirror
use chroot		= true
read only		= false
write only		= true
list			= false
secrets file		= /etc/rsyncd.passwd
exclude			= .rsync-tmp/*** .zfs/***

# Logging
syslog facility		= local5
#log file		= /var/log/rsyncd
#transfer logging	= true
pid file		= /run/rsyncd.pid

# Daemon behaviour
incoming chmod		= u+w,go-w,Dugo+rx,Fugo+rX
refuse options		= backup backup-dir inplace append append-verify acls xattrs chmod super fake-super rsync-path ignore-errors compress-level blocking-io iconv checksum-seed
dont compress		= *.7z *.[bglx]z *.aac *.arj *.avi *.bz2 *.deb *.dpkg *.flac *.flv *.gif *.giff *.iso *.jpeg *.jpg *.lha *.lzh *.lzma *.m[34][av] *.mkv *.mov *.mp[34] *.mp[34][av] *.mpeg *.mpg *.og[agvx] *.qt *.rar *.rpm *.srpm *.t[bglx]z *.tz *.vob *.wm[av] *.z *.zip
post-xfer exec		= /opt/bin/notify-rsync-upload


[bonappetit-upload]
  path			= /data/mirrors/bonappetit
  auth users		= bonappetit

[csb-upload]
  path			= /data/mirrors/csb
  auth users		= willysr

[msb-upload]
  path			= /data/mirrors/msb
  auth users		= willysr

[people-n4t3r-upload]
  path			= /data/mirrors/people/n4t3r
  auth users		= nate

[sarpi-upload]
  path			= /data/mirrors/sarpi
  auth users		= exaga

[slackdce-upload]
  path			= /data/mirrors/slackdce
  auth users		= lu9dce

[slackel-upload]
  path			= /data/mirrors/slackel
  auth users		= djemos

[slackvirt-upload]
  path			= /data/mirrors/slackvirt
  auth users		= megalnx

[slackwarearm-upload]
  path			= /data/mirrors/slackwarearm
  auth users		= mozes

[slackwarearm-people-brent-upload]
  path			= /data/mirrors/slackwarearm/people/brent
  auth users		= brent

[slackwarearm-people-louigi600-upload]
  path			= /data/mirrors/slackwarearm/people/louigi600
  auth users		= louigi600

[slackwareloong-upload]
  path			= /data/mirrors/slackwareloong
  auth users		= shipujin

[slint-upload]
  path			= /data/mirrors/slint
  auth users		= billyw hunterj tomm tonys

[smlinux-upload]
  path			= /data/mirrors/smlinux
  auth users		= skyroverr

[tmp-upload]
  path			= /data/tmp/rsync-upload
  auth users		= guest
